<?php
/*
Plugin Name: Remove URL Field
Version: 1.0
Plugin URI: https://ramzes.blog/remove-url-field/
Description: Remove URL Field from comment form.
Author: Roman Piminov
Author URI: https://ramzes.blog/
*/

class comment_url_remove_plugin
{
    private static $instance;

    //----------
    private function __construct() {
    }

    //----------
    private function __clone()
    {
        trigger_error('Copy object is forbidden', E_USER_ERROR);
    }

    //----------
    public static function init()
    {
        if (self::$instance !== null)
            return;

        self::$instance = new comment_url_remove_plugin();

        // Отключаем
        add_filter('comment_form_default_fields', array(self::$instance, 'comment_form_default_fields'), 0);
        add_filter('get_comment_author_url', array(self::$instance, 'get_comment_author_url'), 0);
        add_filter('preprocess_comment', array(self::$instance, 'preprocess_comment'), 0);
    }

    //----------
    public function comment_form_default_fields($fields)
    {
        unset($fields['url']);
        return $fields;
    }

    //----------
    public function get_comment_author_url()
    {
        return '';
    }

    //----------
    public function preprocess_comment($commentdata)
    {
        unset($commentdata['comment_author_url']);
        return $commentdata;
    }
}

comment_url_remove_plugin::init();
